White Labels
White Labels
White-label configuration for multi-product support.
Get current white-label configuration
GET
/white-labels/currentReturns the white-label configuration for the current domain. Uses the Origin or Referer header to detect the domain. This is used by the web app to determine which features to enable/disable.
Response
Returns
slugstring
namestring
environmentstring
hidden_featuresarray of strings
billing_enabledboolean
account_users_full_ui_enabledboolean
hide_new_features_by_defaultboolean
reviewed_feature_catalog_idsarray of strings
app_namestringnullable
short_namestringnullable
logo_urlstring<uri>nullable
favicon_urlstring<uri>nullable
theme_colorstringnullable
hal_app_idstringnullable
support_emailstring<email>nullable
google_tag_idstringnullable
{
"slug": "space-invoices",
"name": "Space Invoices",
"environment": "production",
"hidden_features": [],
"billing_enabled": false,
"account_users_full_ui_enabled": true,
"hide_new_features_by_default": false,
"reviewed_feature_catalog_ids": [],
"theme": null,
"app_name": "Space Invoices",
"short_name": "Space Invoices",
"logo_url": null,
"favicon_url": null,
"theme_color": null,
"analytics": {
"posthog_key": null,
"posthog_host": "https://eu.i.posthog.com",
"posthog_track_embeds": false
},
"hal_app_id": null,
"support_email": null,
"google_tag_id": null
}Get white-label configuration for the current authenticated account
GET
/white-labels/meReturns the white-label configuration resolved from the authenticated user's effective account context. This is used by native/mobile clients that do not have browser origin headers.
Response
Returns
slugstring
namestring
environmentstring
hidden_featuresarray of strings
billing_enabledboolean
account_users_full_ui_enabledboolean
hide_new_features_by_defaultboolean
reviewed_feature_catalog_idsarray of strings
app_namestringnullable
short_namestringnullable
logo_urlstring<uri>nullable
favicon_urlstring<uri>nullable
theme_colorstringnullable
hal_app_idstringnullable
support_emailstring<email>nullable
google_tag_idstringnullable
{
"slug": "space-invoices",
"name": "Space Invoices",
"environment": "production",
"hidden_features": [],
"billing_enabled": false,
"account_users_full_ui_enabled": true,
"hide_new_features_by_default": false,
"reviewed_feature_catalog_ids": [],
"theme": null,
"app_name": "Space Invoices",
"short_name": "Space Invoices",
"logo_url": null,
"favicon_url": null,
"theme_color": null,
"analytics": {
"posthog_key": null,
"posthog_host": "https://eu.i.posthog.com",
"posthog_track_embeds": false
},
"hal_app_id": null,
"support_email": null,
"google_tag_id": null
}